/**************************************************
*  FILE:  water.h		                          *
*  AUTHOR:  Steven Silvey                         *
*  DATE:  7/30/2006                               *
*                                                 *
*  Handles the scoring system.                    *
**************************************************/

#ifndef _SCORE_H_
#define _SCORE_H_

#include "game.h"

class SCORE
{
public:
	int points;

	SCORE();
	~SCORE();

	void add(int iValue);
	void subtract(int iValue);
	void setup(int w, int h);
	void destroy();
	void init();
	void update();
	void draw();
	BITMAP *image();

	void reset();
	

private:
	
	int W;
	BITMAP *bText;
};

#endif /* End of _SCORE_H_ */

